Installing editor on MacOS Sierra (SOLVED)

#1

Hi All,

I’ve been trying to install the lastest defold engine on my MAC Sierra, my mac keeps saying no mountable image.

Cheers,
Keegan

1 Like

#2

What do you mean by install? We have no installer. You should be able to download the editor and start it from any location. It should be a .app file that you download. From which link did you download the editor?

0 Likes

#3

It downloaded a dmg from the defold site there was .app file

1 Like

#4

@britzl we provide a signed .dmg file, it is kind of like an installer imho

@syndicategamedev if you open the dmg, then drag the app filder to the applications folder. Then close the window, and open the Defold app from the application folder instead, does that work?

0 Likes

#5

I’m not able to open the dmg file using the disk utility. is there another app I can use to open the file?50%20pm

0 Likes

#6

Oh boy yes ofc. I knew that… I blame it on too much Christmas food.

2 Likes

#7

@syndicategamedev that suggests that the .dmg file is corruoted. Have you tried downloading it again?
What link did you use?

0 Likes

#8

Yeah, I’ve downloaded 3 times. I got it from defold.com/download and the click the MAC Download

0 Likes

#9

Btw, there is no need for the Disk Utility, you should be able to double click on the .dmg file and then you will be presented with this view:

The md5 checksum is 934b4154492eaacf4f4caf2bdf9b59cf:

$ md5 ~/Downloads/Defold-x86_64-darwin.dmg
MD5 (/Users/mathiaswesterdahl/Downloads/Defold-x86_64-darwin.dmg) = 934b4154492eaacf4f4caf2bdf9b59cf

You can also try downloading it from here:

http://d.defold.com/

I wouldn’t think it was related to your OS version (10.12), but it’s a possibility I guess.
I’m currently out of ideas.

0 Likes

#10

I can confirm the same error message on my dad’s “old” Mac running 10.7.5 (I just opened the DMG though, didn’t do anything fancy)

1 Like

#11

Hi,

Did anyone solve this problem? I’m getting the same error on macOS 10.11.3.

0 Likes

#12

The Mac OS is likely too old. Try step 3 here to confirm: https://www.google.com/amp/s/deciphertools.com/blog/2017-10-02-no-mountable-file-systems/amp/

1 Like

#13

Defold’s DMG file is formatted with APFS, which requires macOS 10.13.
You can distribute Defold with another underlying filesystem (HFS) for compatibility with older macOS versions.

2 Likes

#14

Yes, @britzl is working on fixing it.
In the meantime, you can use the (currently unsigned) editor, and do a manual install:

https://d.defold.com/archive/2be2687cbb670c2dbe9cf2e99577bc3338561778/stable/editor2/Defold-x86_64-darwin.zip

This is the same as the download link from d.defold.com but with the .zip extension.

1 Like